Takaro - v0.6.0
    Preparing search index...

    Function GameServerApiFactory

    • GameServerApi - factory interface

      Parameters

      • Optionalconfiguration: Configuration
      • OptionalbasePath: string
      • Optionalaxios: AxiosInstance

      Returns {
          gameServerControllerBanPlayer(
              gameServerId: string,
              playerId: string,
              banPlayerInputDTO?: BanPlayerInputDTO,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerCreate(
              gameServerCreateDTO?: GameServerCreateDTO,
              options?: any,
          ): AxiosPromise<GameServerOutputDTOAPI>;
          gameServerControllerExecuteCommand(
              id: string,
              commandExecuteInputDTO?: CommandExecuteInputDTO,
              options?: any,
          ): AxiosPromise<CommandExecuteDTOAPI>;
          gameServerControllerGetImport(
              id: string,
              options?: any,
          ): AxiosPromise<JobStatusOutputDTOAPI>;
          gameServerControllerGetJob(
              type: string,
              id: string,
              options?: any,
          ): AxiosPromise<JobStatusOutputDTOAPI>;
          gameServerControllerGetMapInfo(
              id: string,
              options?: any,
          ): AxiosPromise<MapInfoOutputDTOAPI>;
          gameServerControllerGetMapTile(
              id: string,
              x: string,
              y: string,
              z: string,
              options?: any,
          ): AxiosPromise<void>;
          gameServerControllerGetOne(
              id: string,
              options?: any,
          ): AxiosPromise<GameServerOutputDTOAPI>;
          gameServerControllerGetPlayers(
              id: string,
              options?: any,
          ): AxiosPromise<PlayerOnGameserverOutputDTOAPI>;
          gameServerControllerGetTypes(
              options?: any,
          ): AxiosPromise<GameServerTypesOutputDTOAPI>;
          gameServerControllerGiveItem(
              gameServerId: string,
              playerId: string,
              giveItemInputDTO?: GiveItemInputDTO,
              options?: any,
          ): AxiosPromise<void>;
          gameServerControllerImportFromCSMM(
              options?: any,
          ): AxiosPromise<ImportOutputDTOAPI>;
          gameServerControllerKickPlayer(
              gameServerId: string,
              playerId: string,
              kickPlayerInputDTO?: KickPlayerInputDTO,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerListBans(
              id: string,
              options?: any,
          ): AxiosPromise<BanPlayerOutputDTO>;
          gameServerControllerRegenerateRegistrationToken(
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerRemove(
              id: string,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerResetCurrency(
              id: string,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerSearch(
              gameServerSearchInputDTO?: GameServerSearchInputDTO,
              options?: any,
          ): AxiosPromise<GameServerOutputArrayDTOAPI>;
          gameServerControllerSendMessage(
              id: string,
              messageSendInputDTO?: MessageSendInputDTO,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerShutdown(id: string, options?: any): AxiosPromise<void>;
          gameServerControllerTeleportPlayer(
              gameServerId: string,
              playerId: string,
              teleportPlayerInputDTO?: TeleportPlayerInputDTO,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerTestReachability(
              gameServerTestReachabilityInputDTO?: GameServerTestReachabilityInputDTO,
              options?: any,
          ): AxiosPromise<GameServerTestReachabilityDTOAPI>;
          gameServerControllerTestReachabilityForId(
              id: string,
              options?: any,
          ): AxiosPromise<GameServerTestReachabilityDTOAPI>;
          gameServerControllerTriggerJob(
              type: string,
              id: string,
              options?: any,
          ): AxiosPromise<JobStatusOutputDTOAPI>;
          gameServerControllerUnbanPlayer(
              gameServerId: string,
              playerId: string,
              options?: any,
          ): AxiosPromise<APIOutput>;
          gameServerControllerUpdate(
              id: string,
              gameServerUpdateDTO?: GameServerUpdateDTO,
              options?: any,
          ): AxiosPromise<GameServerOutputDTOAPI>;
      }

      • gameServerControllerBanPlayer: function
        • Ban a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerBanPlayer

          Parameters

          • gameServerId: string
          • playerId: string
          • OptionalbanPlayerInputDTO: BanPlayerInputDTO

            BanPlayerInputDTO

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerCreate: function
      • gameServerControllerExecuteCommand: function
      • gameServerControllerGetImport: function
      • gameServerControllerGetJob: function
      • gameServerControllerGetMapInfo: function
      • gameServerControllerGetMapTile: function
        • Get a map tile
          OperationId: GameServerControllerGetMapTile

          Parameters

          • id: string
          • x: string
          • y: string
          • z: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<void>

      • gameServerControllerGetOne: function
      • gameServerControllerGetPlayers: function
        • Fetch a list of players on a gameserver. Requires gameserver to be online and reachable. Please use the Player on GameServer (PoG) search endpoint instead: POST /gameserver/player/search for more flexible filtering, sorting, and pagination options. Required permissions: READ_PLAYERS
          OperationId: GameServerControllerGetPlayers

          Parameters

          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<PlayerOnGameserverOutputDTOAPI>

      • gameServerControllerGetTypes: function
      • gameServerControllerGiveItem: function
        • Give an item to a player. Accepts item UUID (preferred) or item code. Requires gameserver to be online and reachable. Depending on the underlying game implementation, it's possible that the item is dropped on the ground instead of placed directly in the player's inventory. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerGiveItem

          Parameters

          • gameServerId: string
          • playerId: string
          • OptionalgiveItemInputDTO: GiveItemInputDTO

            GiveItemInputDTO

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<void>

      • gameServerControllerImportFromCSMM: function
      • gameServerControllerKickPlayer: function
        • Kick a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerKickPlayer

          Parameters

          • gameServerId: string
          • playerId: string
          • OptionalkickPlayerInputDTO: KickPlayerInputDTO

            KickPlayerInputDTO

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerListBans: function
        • List bans for a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerListBans

          Parameters

          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<BanPlayerOutputDTO>

      • gameServerControllerRegenerateRegistrationToken: function
        • Regenerate the registration token for a gameserver. Careful, this will invalidate all existing connections. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerRegenerateRegistrationToken

          Parameters

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerRemove: function
        • Delete a gameserver Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerRemove

          Parameters

          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerResetCurrency: function
        • Resets all players' currency to 0 on the specified game server. This action is irreversible. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerResetCurrency

          Parameters

          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerSearch: function
      • gameServerControllerSendMessage: function
        • Send a message in gameserver chat. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerSendMessage

          Parameters

          • id: string
          • OptionalmessageSendInputDTO: MessageSendInputDTO

            MessageSendInputDTO

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerShutdown: function
        • Shuts down the gameserver. This is a 'soft' shutdown, meaning the gameserver will be stopped gracefully. If the gameserver is not reachable, this will have no effect. Note that most hosting providers will automatically restart the gameserver after a shutdown, which makes this operation act as a 'restart' instead. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerShutdown

          Parameters

          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<void>

      • gameServerControllerTeleportPlayer: function
        • Teleport a player to a location. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerTeleportPlayer

          Parameters

          • gameServerId: string
          • playerId: string
          • OptionalteleportPlayerInputDTO: TeleportPlayerInputDTO

            TeleportPlayerInputDTO

          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerTestReachability: function
      • gameServerControllerTestReachabilityForId: function
      • gameServerControllerTriggerJob: function
        • Manually trigger a job, you can poll the status with the GET endpoint Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerTriggerJob

          Parameters

          • type: string
          • id: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<JobStatusOutputDTOAPI>

      • gameServerControllerUnbanPlayer: function
        • Unban a player from a gameserver. Requires gameserver to be online and reachable. Required permissions: MANAGE_GAMESERVERS
          OperationId: GameServerControllerUnbanPlayer

          Parameters

          • gameServerId: string
          • playerId: string
          • Optionaloptions: any

            Override http request option.

          Returns AxiosPromise<APIOutput>

      • gameServerControllerUpdate: function